Changeset 9a241af


Ignore:
Timestamp:
Dec 22, 2012 3:10:57 PM (8 years ago)
Author:
kytv <kytv@…>
Branches:
master
Children:
42f8c71d, 81975e9
Parents:
69d22b8
Message:

enable translations for 'i2prouter'

Files:
5 edited

Legend:

Unmodified
Added
Removed
  • .tx/config

    r69d22b8 r9a241af  
    132132trans.uk_UA = debian/po/uk.po
    133133
     134[I2P.i2prouter-script]
     135source_file = installer/resources/locale/messages_en.po
     136source_lang = en
     137trans.de = installer/resources/locale/po/messages_de.po
     138
    134139[main]
    135140host = http://www.transifex.net
  • build.xml

    r69d22b8 r9a241af  
    397397
    398398    <target name="prep-script-translation" >
    399         <!-- script translation added in 0.8.13, disable for now -->
    400         <echo message="i2prouter script translations disabled" />
    401 <!--
     399        <!-- script translation added in 0.8.13, enabled in 0.9.5. -->
    402400        <ant dir="installer/resources/locale" target="bundle" />
    403401        <copy todir="pkg-temp/locale/">
    404402            <fileset dir="installer/resources/locale/mo/" />
    405403        </copy>
    406 -->
    407404    </target>
    408405
  • installer/resources/i2prouter

    r69d22b8 r9a241af  
    114114#DETAIL_STATUS=true
    115115
    116 # If set, the 'pause' and 'resume' commands will be enabled.  These make it
    117 #  possible to pause the JVM or Java application without completely stopping
    118 #  the Wrapper.  See the wrapper.pausable and wrapper.pausable.stop_jvm
    119 #  properties for more information.
    120 #PAUSABLE=true
    121 
    122116# By default we show a detailed usage block.  Uncomment to show brief usage.
    123117#BRIEF_USAGE=true
     
    199193
    200194failed() {
    201         echo "**Failed to load the wrapper**"
     195        echo "**`gettext 'Failed to load the wrapper'`**"
    202196        case `uname -s` in
    203197             FreeBSD)
     
    320314            if [ ! -x "$PSEXE" ]
    321315            then
    322                 eval echo `gettext 'Unable to locate "ps".'`
    323                 eval echo `gettext 'Please report this message along with the location of the command on your system.'`
     316                echo 'Unable to locate "ps".'
     317                echo 'Please report this message along with the location of the command on your system.'
    324318                exit 1
    325319            fi
     
    333327    if [ ! -x "$TREXE" ]
    334328    then
    335         eval echo `gettext 'Unable to locate "tr".'`
    336         eval echo `gettext 'Please report this message along with the location of the command on your system.'`
     329        echo 'Unable to locate "tr".'
     330        echo 'Please report this message along with the location of the command on your system.'
    337331        exit 1
    338332    fi
     
    500494    if [ -f "$1" ]
    501495    then
    502         eval echo `gettext '  $1  Found but not executable.'`;
     496        echo '  $1  Found but not executable.';
    503497    else
    504498        echo "  $1"
     
    559553if [ -z "$WRAPPER_TEST_CMD" ]
    560554then
    561     eval echo `gettext 'Unable to locate any of the following binaries:'`
     555    echo 'Unable to locate any of the following binaries:'
    562556    outputFile "$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-$DIST_BITS"
    563557    if [ ! "$DIST_BITS" = "32" ]
     
    605599
    606600# Build the command file clause.
    607 if [ -n "$PAUSABLE" ]
    608 then
    609    COMMANDPROP="wrapper.commandfile=\"$COMMANDFILE\" wrapper.pausable=TRUE"
    610 else
    611    COMMANDPROP=
    612 fi
     601COMMANDPROP=
    613602
    614603# Build the log file clause.
     
    661650            if [ ! -x "$IDEXE" ]
    662651            then
    663                 eval echo `gettext 'Unable to locate "id".'`
    664                 eval echo `gettext 'Please report this message along with the location of the command on your system.'`
     652                echo 'Unable to locate "id".'
     653                echo 'Please report this message along with the location of the command on your system.'
    665654                exit 1
    666655            fi
     
    806795                    # This is a stale pid file.
    807796                    rm -f "$PIDFILE"
    808                     eval echo `gettext 'Removed stale pid file: $PIDFILE'`
     797                    echo 'Removed stale pid file: $PIDFILE'
    809798                    pid=""
    810799                fi
    811800            fi
    812801        else
    813             eval echo `gettext 'Cannot read $PIDFILE.'`
     802            echo 'Cannot read $PIDFILE.'
    814803            exit 1
    815804        fi
     
    912901
    913902console() {
    914     eval echo `gettext 'Running $APP_LONG_NAME...'`
     903    eval echo "`gettext 'Running $APP_LONG_NAME'`..."
    915904    getpid
    916905    if [ "X$pid" = "X" ]
     
    935924waitforjavastartup() {
    936925    getstatus
    937     eval echo $ECHOOPT `gettext 'Waiting for $APP_LONG_NAME...'`
     926    eval echo $ECHOOPT "`gettext 'Waiting for $APP_LONG_NAME'`..."
    938927
    939928    # Wait until the timeout or we have something besides Unknown.
     
    982971        if [ "X$pid" = "X" ]
    983972        then
    984             eval echo `gettext ' WARNING: $APP_LONG_NAME may have failed to start.'`
     973            eval echo " `gettext 'WARNING: $APP_LONG_NAME may have failed to start.'`"
    985974            exit 1
    986975        else
    987             eval echo `gettext ' running: PID:$pid'`
     976            eval echo ' running: PID:$pid'
    988977        fi
    989978    else
     
    994983macosxstart() {
    995984    # The daemon has been installed.
    996     eval echo `gettext 'Starting $APP_LONG_NAME.  Detected Mac OSX and installed launchd daemon.'`
     985    echo 'Starting $APP_LONG_NAME.  Detected Mac OSX and installed launchd daemon.'
    997986    if [ `id | sed 's/^uid=//;s/(.*$//'` != "0" ] ; then
    998987        eval echo `gettext 'Must be root to perform this action.'`
     
    10221011upstartstart() {
    10231012    # The daemon has been installed.
    1024     eval echo `gettext 'Starting $APP_LONG_NAME.  Detected Linux and installed upstart.'`
     1013    echo 'Starting $APP_LONG_NAME.  Detected Linux and installed upstart.'
    10251014    if [ `id | sed 's/^uid=//;s/(.*$//'` != "0" ] ; then
    10261015        eval echo `gettext 'Must be root to perform this action.'`
     
    10401029
    10411030start() {
    1042     eval echo `gettext 'Starting $APP_LONG_NAME...'`
     1031    eval echo "`gettext 'Starting $APP_LONG_NAME'`..."
    10431032    getpid
    10441033    if [ "X$pid" = "X" ]
     
    10651054    # $1 exit if down flag
    10661055
    1067     eval echo `gettext 'Stopping $APP_LONG_NAME...'`
     1056    eval echo "`gettext 'Stopping $APP_LONG_NAME'`..."
    10681057    getpid
    10691058    if [ "X$pid" = "X" ]
     
    11081097                CNT=`expr $CNT + 1`
    11091098            else
    1110                 eval echo `gettext 'Waiting for $APP_LONG_NAME to exit...'`
     1099                eval echo "`gettext 'Waiting for $APP_LONG_NAME to exit'`..."
    11111100                CNT=0
    11121101            fi
     
    11331122    # $1 exit if down flag
    11341123
    1135     eval echo `gettext 'Stopping $APP_LONG_NAME gracefully...'`
     1124    eval echo "`gettext 'Stopping $APP_LONG_NAME gracefully'`..."
    11361125    getpid
    11371126    if [ "X$pid" = "X" ]
     
    11681157
    11691158pause() {
    1170     eval echo `gettext 'Pausing $APP_LONG_NAME.'`
     1159    echo 'Pausing $APP_LONG_NAME.'
    11711160}
    11721161
    11731162resume() {
    1174     eval echo `gettext 'Resuming $APP_LONG_NAME.'`
     1163    echo 'Resuming $APP_LONG_NAME.'
    11751164}
    11761165
     
    11941183
    11951184installUpstart() {
    1196     eval echo `gettext ' Installing the $APP_LONG_NAME daemon using upstart..'`
     1185    echo ' Installing the $APP_LONG_NAME daemon using upstart..'
    11971186    if [ -f "${APP_NAME}.conf" ] ; then
    1198         eval echo `gettext ' a custom upstart conf file ${APP_NAME}.conf found'`
     1187        echo ' a custom upstart conf file ${APP_NAME}.conf found'
    11991188        cp "${REALDIR}/${APP_NAME}.install" "/etc/init/${APP_NAME}.conf"
    12001189    else
    1201         eval echo `gettext ' creating default upstart conf file..'`
     1190        echo ' creating default upstart conf file..'
    12021191        echo "# ${APP_NAME} - ${APP_LONG_NAME}" > "/etc/init/${APP_NAME}.conf"
    12031192        echo "description \"${APP_LONG_NAME}\"" >> "/etc/init/${APP_NAME}.conf"
     
    12381227        APP_NAME_LOWER=`echo "$APP_NAME" | $TREXE "[A-Z]" "[a-z]"`
    12391228        if [ "$DIST_OS" = "solaris" ] ; then
    1240             eval echo `gettext 'Detected Solaris:'`
     1229            echo 'Detected Solaris:'
    12411230            if [ -f /etc/init.d/$APP_NAME ] ; then
    1242                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
    1243                 exit 1
    1244             else
    1245                 eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1231                eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
     1232                exit 1
     1233            else
     1234                eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    12461235                ln -s "$REALPATH" "/etc/init.d/$APP_NAME"
    12471236                ln -s "/etc/init.d/$APP_NAME" "/etc/rc3.d/K20$APP_NAME_LOWER"
     
    12501239        elif [ "$DIST_OS" = "linux" ] ; then
    12511240            if [ -f /etc/redhat-release -o -f /etc/redhat_version -o -f /etc/fedora-release ]  ; then
    1252                 eval echo `gettext 'Detected RHEL or Fedora:'`
     1241                echo 'Detected RHEL or Fedora:'
    12531242                if [ -f "/etc/init.d/$APP_NAME" -o -f "/etc/init/${APP_NAME}.conf" ] ; then
    1254                     eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
     1243                    eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
    12551244                    exit 1
    12561245                else
     
    12581247                        installUpstart
    12591248                    else
    1260                         eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1249                        eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    12611250                        ln -s "$REALPATH" "/etc/init.d/$APP_NAME"
    12621251                        /sbin/chkconfig --add "$APP_NAME"
     
    12651254                fi
    12661255            elif [ -f /etc/slackware-version ]; then
    1267                 eval echo `gettext 'Detected Slackware Linux:'`
     1256                echo 'Detected Slackware Linux:'
    12681257                if [ -e "/etc/rc.d/rc.i2p" -o -f "/etc/rc.d/rc.i2p.new" ]; then
    12691258                    echo "Found initscript from I2P Slackpkg. Aborting." >&2
     
    12711260                else
    12721261                    if grep -q ${APP_NAME}router /etc/rc.d/rc.local > /dev/null 2>&1; then
    1273                         eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
     1262                        eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
    12741263                        exit 1
    12751264                    else
     
    12831272                fi
    12841273            elif [ -f /etc/arch-release ]; then
    1285             eval echo `gettext 'Detected Arch Linux:'`
     1274            echo 'Detected Arch Linux:'
    12861275                if [ -f "/etc/rc.d/i2prouter" -o -f "/usr/lib/systemd/system/i2prouter.service" ]; then
    1287                     eval echo `gettext 'AUR package found. Refusing to continue.'`
     1276                    echo 'AUR package found. Refusing to continue.'
    12881277                    exit 1
    12891278                elif [ -f /etc/rc.d/i2p -a ! "$USE_SYSTEMD" = "1" ] || [ -f "$SYSTEMD_SERVICE" -a "$USE_SYSTEMD" = "1" ]; then
    1290                     eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
     1279                    eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
    12911280                    exit 1
    12921281                else
     
    13401329                                chmod 755 /etc/rc.d/${APP_NAME}
    13411330                                chown root:root /etc/rc.d/${APP_NAME}
    1342                                 eval echo `gettext ' The $APP_LONG_NAME daemon has been installed.'`
    1343                                 eval echo `gettext ' Add \"i2p\" to the DAEMONS variable in /etc/rc.conf to enable.'`
     1331                                echo ' The $APP_LONG_NAME daemon has been installed.'
     1332                                echo ' Add \"i2p\" to the DAEMONS variable in /etc/rc.conf to enable.'
    13441333                            else
    13451334                                # We'll end up here if systemd is enabled.
     
    13531342                fi
    13541343            elif [ -f /etc/SuSE-release ] ; then
    1355                 eval echo `gettext 'Detected SuSE or SLES:'`
     1344                echo 'Detected SuSE or SLES:'
    13561345                 if [ -f /etc/rc.d/${APP_NAME} -a ! "$USE_SYSTEMD" = "1" ] || [ -f "$SYSTEMD_SERVICE" -a "$USE_SYSTEMD" = "1" ]; then
    1357                     eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
     1346                    eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
    13581347                    exit 1
    13591348                else
    13601349                    if [ ! -f "/etc/init.d/$APP_NAME" ]; then
    13611350                        if [ "$USE_SYSTEMD" != "1" ]; then
    1362                             eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1351                            eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    13631352                            ln -s "$REALPATH" "/etc/init.d/$APP_NAME"
    13641353                            sed -i "s/Default-Start: 2 3 4 5/Default-Start: 5/" $0
     
    13731362                fi
    13741363            elif [ -f /etc/lsb-release -o -f /etc/debian_version ] ; then
    1375                 eval echo `gettext 'Detected Debian-based distribution:'`
     1364                echo 'Detected Debian-based distribution:'
    13761365                if [ -f "/etc/init.d/$APP_NAME" -o -f "/etc/init/${APP_NAME}.conf" ] ; then
    1377                     eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
     1366                    eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
    13781367                    exit 1
    13791368                else
     
    13811370                        installUpstart
    13821371                    else
    1383                         eval echo `gettext ' Installing the $APP_LONG_NAME daemon using init.d..'`
     1372                        echo ' Installing the $APP_LONG_NAME daemon using init.d..'
    13841373                        ln -s "$REALPATH" "/etc/init.d/$APP_NAME"
    13851374                        update-rc.d "$APP_NAME" defaults
     
    13871376                fi
    13881377            else
    1389                 eval echo `gettext 'Detected Linux:'`
     1378                echo 'Detected Linux:'
    13901379                if [ -f "/etc/init.d/$APP_NAME" ] ; then
    1391                     eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
     1380                    eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
    13921381                    exit 1
    13931382                else
    1394                     eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1383                    eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    13951384                    ln -s "$REALPATH" /etc/init.d/$APP_NAME
    13961385                    ln -s "/etc/init.d/$APP_NAME" "/etc/rc3.d/K20$APP_NAME_LOWER"
     
    14011390            fi
    14021391        elif [ "$DIST_OS" = "hpux" ] ; then
    1403             eval echo `gettext 'Detected HP-UX:'`
     1392            echo 'Detected HP-UX:'
    14041393            if [ -f "/sbin/init.d/$APP_NAME" ] ; then
    1405                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
    1406                 exit 1
    1407             else
    1408                 eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1394                eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
     1395                exit 1
     1396            else
     1397                eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    14091398                ln -s "$REALPATH" "/sbin/init.d/$APP_NAME"
    14101399                ln -s "/sbin/init.d/$APP_NAME" "/sbin/rc3.d/K20$APP_NAME_LOWER"
     
    14121401            fi
    14131402        elif [ "$DIST_OS" = "aix" ] ; then
    1414             eval echo `gettext 'Detected AIX:'`
     1403            echo 'Detected AIX:'
    14151404            if [ -f "/etc/rc.d/init.d/$APP_NAME" ] ; then
    1416                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed as rc.d script.'`
     1405                echo ' The $APP_LONG_NAME daemon is already installed as rc.d script.'
    14171406                exit 1
    14181407            elif [ -n "`/usr/sbin/lsitab $APP_NAME`" -a -n "`/usr/bin/lssrc -S -s $APP_NAME`" ] ; then
    1419                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed as SRC service.'`
    1420                 exit 1
    1421             else
    1422                 eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1408                echo ' The $APP_LONG_NAME daemon is already installed as SRC service.'
     1409                exit 1
     1410            else
     1411                eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    14231412                if [ -n "`/usr/sbin/lsitab install_assist`" ] ; then
    1424                     eval echo `gettext ' The task /usr/sbin/install_assist was found in the inittab, this might cause problems for all subsequent tasks to launch at this process is known to block the init task. Please make sure this task is not needed anymore and remove/deactivate it.'`
     1413                    echo ' The task /usr/sbin/install_assist was found in the inittab, this might cause problems for all subsequent tasks to launch at this process is known to block the init task. Please make sure this task is not needed anymore and remove/deactivate it.'
    14251414                fi
    14261415                /usr/bin/mkssys -s "$APP_NAME" -p "$REALPATH" -a "launchdinternal" -u 0 -f 9 -n 15 -S
     
    14291418            fi
    14301419        elif [ "$DIST_OS" = "freebsd" ] ; then
    1431             eval echo `gettext 'Detected FreeBSD:'`
     1420            echo 'Detected FreeBSD:'
    14321421            if [ -f "/etc/rc.d/$APP_NAME" ] ; then
    1433                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
    1434                 exit 1
    1435             else
    1436                 eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1422                eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
     1423                exit 1
     1424            else
     1425                eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    14371426                sed -i .bak "/${APP_NAME}_enable=\"YES\"/d" /etc/rc.conf
    14381427                if [ -f "${REALDIR}/${APP_NAME}.install" ] ; then
     
    14671456            fi
    14681457        elif [ "$DIST_OS" = "macosx" ] ; then
    1469             eval echo `gettext 'Detected Mac OSX:'`
     1458            echo 'Detected Mac OSX:'
    14701459            if [ -f "/Library/LaunchDaemons/${APP_PLIST}" ] ; then
    1471                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
    1472                 exit 1
    1473             else
    1474                 eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1460                eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
     1461                exit 1
     1462            else
     1463                eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    14751464                if [ -f "${REALDIR}/${APP_PLIST}" ] ; then
    14761465                    ln -s "${REALDIR}/${APP_PLIST}" "/Library/LaunchDaemons/${APP_PLIST}"
     
    15021491            fi
    15031492        elif [ "$DIST_OS" = "zos" ] ; then
    1504             eval echo `gettext 'Detected z/OS:'`
     1493            echo 'Detected z/OS:'
    15051494            if [ -f /etc/rc.bak ] ; then
    1506                 eval echo `gettext ' The $APP_LONG_NAME daemon is already installed.'`
    1507                 exit 1
    1508             else
    1509                 eval echo `gettext ' Installing the $APP_LONG_NAME daemon..'`
     1495                eval echo " `gettext 'The $APP_LONG_NAME daemon is already installed.'`"
     1496                exit 1
     1497            else
     1498                eval echo " `gettext 'Installing the $APP_LONG_NAME daemon'`.."
    15101499                cp /etc/rc /etc/rc.bak
    15111500                sed  "s:echo /etc/rc script executed, \`date\`::g" /etc/rc.bak > /etc/rc
     
    15281517        APP_NAME_LOWER=`echo "$APP_NAME" | $TREXE "[A-Z]" "[a-z]"`
    15291518        if [ "$DIST_OS" = "solaris" ] ; then
    1530             eval echo `gettext 'Detected Solaris:'`
     1519            echo 'Detected Solaris:'
    15311520            if [ -f "/etc/init.d/$APP_NAME" ] ; then
    1532                 eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1521                eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    15331522                for i in "/etc/rc3.d/S20$APP_NAME_LOWER" "/etc/rc3.d/K20$APP_NAME_LOWER" "/etc/init.d/$APP_NAME"
    15341523                do
     
    15361525                done
    15371526            else
    1538                 eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1527                eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    15391528                exit 1
    15401529            fi
    15411530        elif [ "$DIST_OS" = "linux" ] ; then
    15421531            if [ -f /etc/redhat-release -o -f /etc/redhat_version -o -f /etc/fedora-release ] ; then
    1543                 eval echo `gettext 'Detected RHEL or Fedora:'`
     1532                echo 'Detected RHEL or Fedora:'
    15441533                if [ -f "/etc/init.d/$APP_NAME" ] ; then
    1545                     eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1534                    eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    15461535                    /sbin/chkconfig "$APP_NAME" off
    15471536                    /sbin/chkconfig --del "$APP_NAME"
    15481537                    rm -f "/etc/init.d/$APP_NAME"
    15491538                elif [ -f "/etc/init/${APP_NAME}.conf" ] ; then
    1550                     eval echo `gettext ' Removing $APP_LONG_NAME daemon from upstart...'`
     1539                    echo ' Removing $APP_LONG_NAME daemon from upstart...'
    15511540                    rm "/etc/init/${APP_NAME}.conf"
    15521541                else
    1553                     eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1542                    eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    15541543                    exit 1
    15551544                fi
    15561545            elif [ -f /etc/slackware-version ] ; then
    1557                 eval echo `gettext 'Detected Slackware Linux:'`
     1546                echo 'Detected Slackware Linux:'
    15581547                if grep -q ${APP_NAME}router /etc/rc.d/rc.local > /dev/null 2>&1 ; then
    1559                     eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1548                    eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    15601549                    sed -i "/i2prouter/d" /etc/rc.d/rc.local /etc/rc.d/rc.local_shutdown
    15611550                else
    1562                     eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1551                    eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    15631552                    exit 1
    15641553                fi
    15651554            elif [ -f /etc/arch-release ] ; then
    1566                 eval echo `gettext 'Detected Arch Linux:'`
     1555                echo 'Detected Arch Linux:'
    15671556                if [ -f "/etc/rc.d/$APP_NAME" -o -f "$SYSTEMD_SERVICE" ] ; then
    1568                     eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1557                    eval echo "`gettext 'Removing $APP_LONG_NAME daemon'`..."
    15691558                    rm -f "/etc/rc.d/$APP_NAME"
    15701559                    rm -f "$SYSTEMD_SERVICE"
    15711560                else
    1572                     eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1561                    eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    15731562                    exit 1
    15741563                fi
    15751564            elif [ -f /etc/SuSE-release ] ; then
    1576                 eval echo `gettext 'Detected SuSE or SLES:'`
     1565                echo 'Detected SuSE or SLES:'
    15771566                if [ -f "/etc/init.d/$APP_NAME" -o ${SYSTEMD_SERVICE} ] ; then
    1578                     eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1567                    eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    15791568                    insserv -r "/etc/init.d/$APP_NAME"
    15801569                    rm -f "/etc/init.d/$APP_NAME"
    15811570                    rm -f "$SYSTEMD_SERVICE"
    15821571                else
    1583                     eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1572                    eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    15841573                    exit 1
    15851574                fi
    15861575            elif [ -f /etc/lsb-release -o -f /etc/debian_version ] ; then
    1587                 eval echo `gettext 'Detected Debian-based distribution:'`
     1576                echo 'Detected Debian-based distribution:'
    15881577                if [ -f "/etc/init.d/$APP_NAME" ] ; then
    1589                     eval echo `gettext ' Removing $APP_LONG_NAME daemon from init.d...'`
     1578                    echo ' Removing $APP_LONG_NAME daemon from init.d...'
    15901579                    update-rc.d -f "$APP_NAME" remove
    15911580                    rm -f "/etc/init.d/$APP_NAME"
    15921581                elif [ -f "/etc/init/${APP_NAME}.conf" ] ; then
    1593                     eval echo `gettext ' Removing $APP_LONG_NAME daemon from upstart...'`
     1582                    echo ' Removing $APP_LONG_NAME daemon from upstart...'
    15941583                    rm "/etc/init/${APP_NAME}.conf"
    15951584                else
    1596                     eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1585                    eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    15971586                    exit 1
    15981587                fi
    15991588            else
    1600                 eval echo `gettext 'Detected Linux:'`
     1589                echo 'Detected Linux:'
    16011590                if [ -f "/etc/init.d/$APP_NAME" ] ; then
    1602                     eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1591                    eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    16031592                    for i in "/etc/rc3.d/K20$APP_NAME_LOWER" "/etc/rc5.d/K20$APP_NAME_LOWER" "/etc/rc3.d/S20$APP_NAME_LOWER" "/etc/init.d/$APP_NAME" "/etc/rc5.d/S20$APP_NAME_LOWER"
    16041593                    do
     
    16061595                    done
    16071596                else
    1608                     eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1597                    eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    16091598                    exit 1
    16101599                fi
    16111600            fi
    16121601        elif [ "$DIST_OS" = "hpux" ] ; then
    1613             eval echo `gettext 'Detected HP-UX:'`
     1602            echo 'Detected HP-UX:'
    16141603            if [ -f "/sbin/init.d/$APP_NAME" ] ; then
    1615                 eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1604                eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    16161605                for i in "/sbin/rc3.d/K20$APP_NAME_LOWER" "/sbin/rc3.d/S20$APP_NAME_LOWER" "/sbin/init.d/$APP_NAME"
    16171606                do
     
    16191608                done
    16201609            else
    1621                 eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1610                eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    16221611                exit 1
    16231612            fi
    16241613        elif [ "$DIST_OS" = "aix" ] ; then
    1625             eval echo `gettext 'Detected AIX:'`
     1614            echo 'Detected AIX:'
    16261615            if [ -f "/etc/rc.d/init.d/$APP_NAME" -o -n "`/usr/sbin/lsitab $APP_NAME`" -o -n "`/usr/bin/lssrc -S -s $APP_NAME`" ] ; then
    1627                 eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1616                eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    16281617                if [ -f "/etc/rc.d/init.d/$APP_NAME" ] ; then
    16291618                    for i in "/etc/rc.d/rc2.d/S20$APP_NAME_LOWER" "/etc/rc.d/rc2.d/K20$APP_NAME_LOWER" "/etc/rc.d/init.d/$APP_NAME"
     
    16371626                fi
    16381627            else
    1639                 eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1628                eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    16401629                exit 1
    16411630            fi
    16421631        elif [ "$DIST_OS" = "freebsd" ] ; then
    1643             eval echo `gettext 'Detected FreeBSD:'`
     1632            echo 'Detected FreeBSD:'
    16441633            if [ -f "/etc/rc.d/$APP_NAME" ] ; then
    1645                 eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1634                eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    16461635                for i in "/etc/rc.d/$APP_NAME"
    16471636                do
     
    16501639                sed -i .bak "/${APP_NAME}_enable=\"YES\"/d" /etc/rc.conf
    16511640            else
    1652                 eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1641                eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    16531642                exit 1
    16541643            fi
    16551644        elif [ "$DIST_OS" = "macosx" ] ; then
    1656             eval echo `gettext 'Detected Mac OSX:'`
     1645            echo 'Detected Mac OSX:'
    16571646            if [ -f "/Library/LaunchDaemons/${APP_PLIST}" ] ; then
    1658                 eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1647                eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    16591648                # Make sure the plist is installed
    16601649                LOADED_PLIST=`launchctl list | grep ${APP_PLIST_BASE}`
     
    16641653                rm -f "/Library/LaunchDaemons/${APP_PLIST}"
    16651654            else
    1666                 eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1655                eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    16671656                exit 1
    16681657            fi
    16691658        elif [ "$DIST_OS" = "zos" ] ; then
    1670             eval echo `gettext 'Detected z/OS:'`
     1659            echo 'Detected z/OS:'
    16711660            if [ -f /etc/rc.bak ] ; then
    1672                 eval echo `gettext ' Removing $APP_LONG_NAME daemon...'`
     1661                eval echo " `gettext 'Removing $APP_LONG_NAME daemon'`..."
    16731662                cp /etc/rc /etc/rc.bak
    16741663                sed  "s/_BPX_JOBNAME=\'APP_NAME\'.*//g" /etc/rc.bak > /etc/rc
    16751664                rm /etc/rc.bak
    16761665            else
    1677                 eval echo `gettext ' The $APP_LONG_NAME daemon is not currently installed.'`
     1666                eval echo " `gettext 'The $APP_LONG_NAME daemon is not currently installed.'`"
    16781667                exit 1
    16791668            fi
     
    16861675
    16871676dump() {
    1688     eval echo `gettext 'Dumping $APP_LONG_NAME...'`
     1677    echo 'Dumping $APP_LONG_NAME...'
    16891678    getpid
    16901679    if [ "X$pid" = "X" ]
     
    16961685        if [ $? -ne 0 ]
    16971686        then
    1698             eval echo `gettext 'Failed to dump $APP_LONG_NAME.'`
     1687            echo 'Failed to dump $APP_LONG_NAME.'
    16991688            exit 1
    17001689        else
    1701             eval echo `gettext 'Dumped $APP_LONG_NAME.'`
     1690            echo 'Dumped $APP_LONG_NAME.'
    17021691        fi
    17031692    fi
     
    17091698    if [ "X$pid" = "X" ]
    17101699    then
    1711         eval echo `gettext 'Starting $APP_LONG_NAME...  Wrapper:Stopped'`
     1700        echo 'Starting $APP_LONG_NAME...  Wrapper:Stopped'
    17121701    else
    17131702        if [ "X$DETAIL_STATUS" = "X" ]
    17141703        then
    1715             eval echo `gettext 'Starting $APP_LONG_NAME...  Wrapper:Running'`
     1704            echo 'Starting $APP_LONG_NAME...  Wrapper:Running'
    17161705        else
    17171706            getstatus
    1718             eval echo `gettext 'Starting $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS'`
     1707            echo 'Starting $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS'
    17191708        fi
    17201709    fi
     
    17261715    if [ "X$pid" = "X" ]
    17271716    then
    1728         eval echo `gettext 'Stopping $APP_LONG_NAME...  Wrapper:Stopped'`
     1717        echo 'Stopping $APP_LONG_NAME...  Wrapper:Stopped'
    17291718    else
    17301719        if [ "X$DETAIL_STATUS" = "X" ]
    17311720        then
    1732             eval echo `gettext 'Stopping $APP_LONG_NAME...  Wrapper:Running'`
     1721            echo 'Stopping $APP_LONG_NAME...  Wrapper:Running'
    17331722        else
    17341723            getstatus
    1735             eval echo `gettext 'Stopping $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS'`
     1724            echo 'Stopping $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS'
    17361725        fi
    17371726    fi
     
    17431732    if [ -n "$1" ]
    17441733    then
    1745         eval echo `gettext 'Unexpected command: $1'`
     1734        echo 'Unexpected command: $1'
    17461735        echo "";
    17471736    fi
    17481737
    1749     eval MSG=`gettext 'Usage: '`
     1738    MSG='Usage: '
    17501739    if [ -n "$FIXED_COMMAND" ] ; then
    17511740        if [ -n "$PASS_THROUGH" ] ; then
     
    17551744        fi
    17561745    else
    1757         if [ -n "$PAUSABLE" ] ; then
    1758             if [ -n "$PASS_THROUGH" ] ; then
    1759                 echo "${MSG} $0 [ console {JavaAppArgs} | start {JavaAppArgs} | stop | restart {JavaAppArgs} | condrestart {JavaAppArgs} | pause | resume | status | install | remove | dump ]"
    1760             else
    1761                 echo "${MSG} $0 [ console | start | stop | restart | condrestart | pause | resume | status | install | remove | dump ]"
    1762             fi
    1763         else
    17641746            if [ -n "$PASS_THROUGH" ] ; then
    17651747                echo "${MSG} $0 [ console {JavaAppArgs} | start {JavaAppArgs} | stop | restart {JavaAppArgs} | condrestart {JavaAppArgs} | status | install | remove | dump ]"
    17661748            else
    17671749                echo "${MSG} $0 [ console | start | stop | restart | condrestart | status | install | remove | dump ]"
    1768             fi
    17691750        fi
    17701751    fi
     
    17751756        if [ ! -n "$FIXED_COMMAND" ] ; then
    17761757            echo "`gettext 'Commands:'`"
    1777             echo "`gettext '  console      Launch in the current console.'`"
    1778             echo "`gettext '  start        Start in the background as a daemon process.'`"
    1779             echo "`gettext '  stop         Stop if running as a daemon or in another console.'`"
    1780             echo "`gettext '  graceful     Stop gracefully, may take up to 11 minutes.'`"
    1781             echo "`gettext '  restart      Stop if running and then start.'`"
    1782             echo "`gettext '  condrestart  Restart only if already running.'`"
    1783             if [ -n "$PAUSABLE" ] ; then
    1784                 echo "`gettext '  pause        Pause if running.'`"
    1785                 echo "`gettext '  resume       Resume if paused.'`"
    1786             fi
    1787             echo "`gettext '  status       Query the current status.'`"
    1788             echo "`gettext '  install      Install to start automatically when system boots.'`"
    1789             echo "`gettext '  remove       Uninstall.'`"
    1790             echo "`gettext '  dump         Request a Java thread dump if running.'`"
     1758            echo "  console      `gettext 'Launch in the current console.'`"
     1759            echo "  start        `gettext 'Start in the background as a daemon process.'`"
     1760            echo "  stop         `gettext 'Stop if running as a daemon or in another console.'`"
     1761            echo "  graceful     `gettext 'Stop gracefully, may take up to 11 minutes.'`"
     1762            echo "  restart      `gettext 'Stop if running and then start.'`"
     1763            echo "  condrestart  `gettext 'Restart only if already running.'`"
     1764            echo "  status       `gettext 'Query the current status.'`"
     1765            echo "  install      `gettext 'Install to start automatically when system boots.'`"
     1766            echo "  remove       `gettext 'Uninstall.'`"
     1767            echo "  dump         `gettext 'Request a Java thread dump if running.'`"
    17911768            echo "";
    17921769        fi
    17931770        if [ -n "$PASS_THROUGH" ] ; then
    1794             echo "`gettext 'JavaAppArgs: Zero or more arguments which will be passed to the Java application.'`"
     1771            echo "JavaAppArgs: Zero or more arguments which will be passed to the Java application."
    17951772            echo "";
    17961773        fi
     
    18011778
    18021779showsetusermesg()  {
    1803     echo "Please edit $0 and set the variable RUN_AS_USER."
     1780    echo "`gettext 'Please edit $0 and set the variable RUN_AS_USER'`."
    18041781}
    18051782
    18061783checkifstartingasroot() {
    18071784    if [ ! `grep ^RUN_AS_USER $0` ] && [ ! `grep ^ALLOW_ROOT $0` ] && [ `id -ur` = '0' ]; then
    1808         echo "Running I2P as the root user is *not* recommended."
     1785        echo "`gettext 'Running I2P as the root user is *not* recommended.'`"
    18091786        showsetusermesg
    18101787        echo
    1811         echo "If you'd like to run as root anyway you can edit"
    1812         echo "$0 and set ALLOW_ROOT=true instead."
     1788        echo "`gettext 'To run as root anyway, edit $0 and set ALLOW_ROOT=true.'`"
    18131789        exit 1
    18141790    fi
     
    18701846            ;;
    18711847
    1872         'pause')
    1873             if [ -n "$PAUSABLE" ]
    1874             then
    1875                 pause
    1876             else
    1877                 showUsage "$COMMAND"
    1878             fi
    1879             ;;
    1880 
    1881         'resume')
    1882             if [ -n "$PAUSABLE" ]
    1883             then
    1884                 resume
    1885             else
    1886                 showUsage "$COMMAND"
    1887             fi
    1888             ;;
    1889 
    18901848        'status')
    18911849            checkUser "" "$COMMAND"
  • installer/resources/locale/po/messages_de.po

    r69d22b8 r9a241af  
    99"Project-Id-Version: PACKAGE VERSION\n"
    1010"Report-Msgid-Bugs-To: \n"
    11 "POT-Creation-Date: 2012-07-26 19:55+0000\n"
     11"POT-Creation-Date: 2012-12-22 15:07+0000\n"
    1212"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
    1313"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
     
    1818"Content-Transfer-Encoding: 8bit\n"
    1919
    20 #: ../i2prouter:316
    21 msgid "Unable to locate \"ps\"."
     20#: ../i2prouter:195
     21msgid "Failed to load the wrapper"
    2222msgstr ""
    2323
    24 #: ../i2prouter:317 ../i2prouter:330 ../i2prouter:645
    25 msgid ""
    26 "Please report this message along with the location of the command on your "
    27 "system."
    28 msgstr ""
    29 
    30 #: ../i2prouter:329
    31 msgid "Unable to locate \"tr\"."
    32 msgstr ""
    33 
    34 #: ../i2prouter:484
    35 msgid "  $1  Found but not executable."
    36 msgstr ""
    37 
    38 #: ../i2prouter:543
    39 msgid "Unable to locate any of the following binaries:"
    40 msgstr ""
    41 
    42 #: ../i2prouter:644
    43 msgid "Unable to locate \"id\"."
    44 msgstr ""
    45 
    46 #: ../i2prouter:784
    47 #, sh-format
    48 msgid "Removed stale pid file: $PIDFILE"
    49 msgstr ""
    50 
    51 #: ../i2prouter:789
    52 #, sh-format
    53 msgid "Cannot read $PIDFILE."
    54 msgstr ""
    55 
    56 #: ../i2prouter:879 ../i2prouter:906 ../i2prouter:980 ../i2prouter:1008
    57 #: ../i2prouter:1032
     24#: ../i2prouter:892 ../i2prouter:919 ../i2prouter:993 ../i2prouter:1021
     25#: ../i2prouter:1045
    5826#, sh-format
    5927msgid "$APP_LONG_NAME is already running."
    6028msgstr ""
    6129
    62 #: ../i2prouter:890
     30#: ../i2prouter:903
    6331#, sh-format
    64 msgid "Running $APP_LONG_NAME..."
     32msgid "Running $APP_LONG_NAME"
    6533msgstr ""
    6634
    67 #: ../i2prouter:913
     35#: ../i2prouter:926
    6836#, sh-format
    69 msgid "Waiting for $APP_LONG_NAME..."
     37msgid "Waiting for $APP_LONG_NAME"
    7038msgstr ""
    7139
    72 #: ../i2prouter:960
     40#: ../i2prouter:973
    7341#, sh-format
    74 msgid " WARNING: $APP_LONG_NAME may have failed to start."
     42msgid "WARNING: $APP_LONG_NAME may have failed to start."
    7543msgstr ""
    7644
    77 #: ../i2prouter:963
    78 #, sh-format
    79 msgid " running: PID:$pid"
    80 msgstr ""
    81 
    82 #: ../i2prouter:972
    83 #, sh-format
    84 msgid ""
    85 "Starting $APP_LONG_NAME.  Detected Mac OSX and installed launchd daemon."
    86 msgstr ""
    87 
    88 #: ../i2prouter:974 ../i2prouter:1002 ../i2prouter:1190 ../i2prouter:1442
     45#: ../i2prouter:987 ../i2prouter:1015 ../i2prouter:1224 ../i2prouter:1513
    8946msgid "Must be root to perform this action."
    9047msgstr ""
    9148
    92 #: ../i2prouter:1000
     49#: ../i2prouter:1031
    9350#, sh-format
    94 msgid "Starting $APP_LONG_NAME.  Detected Linux and installed upstart."
     51msgid "Starting $APP_LONG_NAME"
    9552msgstr ""
    9653
    97 #: ../i2prouter:1018
     54#: ../i2prouter:1056
    9855#, sh-format
    99 msgid "Starting $APP_LONG_NAME..."
     56msgid "Stopping $APP_LONG_NAME"
    10057msgstr ""
    10158
    102 #: ../i2prouter:1043
    103 #, sh-format
    104 msgid "Stopping $APP_LONG_NAME..."
    105 msgstr ""
    106 
    107 #: ../i2prouter:1047 ../i2prouter:1115 ../i2prouter:1599
     59#: ../i2prouter:1060 ../i2prouter:1128 ../i2prouter:1681
    10860#, sh-format
    10961msgid "$APP_LONG_NAME was not running."
    11062msgstr ""
    11163
    112 #: ../i2prouter:1060 ../i2prouter:1068 ../i2prouter:1130 ../i2prouter:1138
     64#: ../i2prouter:1073 ../i2prouter:1081 ../i2prouter:1143 ../i2prouter:1151
    11365#, sh-format
    11466msgid "Unable to stop $APP_LONG_NAME."
    11567msgstr ""
    11668
    117 #: ../i2prouter:1086
     69#: ../i2prouter:1099
    11870#, sh-format
    119 msgid "Waiting for $APP_LONG_NAME to exit..."
     71msgid "Waiting for $APP_LONG_NAME to exit"
    12072msgstr ""
    12173
    122 #: ../i2prouter:1100
     74#: ../i2prouter:1113
    12375#, sh-format
    12476msgid "Failed to stop $APP_LONG_NAME."
    12577msgstr ""
    12678
    127 #: ../i2prouter:1103
     79#: ../i2prouter:1116
    12880#, sh-format
    12981msgid "Stopped $APP_LONG_NAME."
    13082msgstr ""
    13183
    132 #: ../i2prouter:1111
     84#: ../i2prouter:1124
    13385#, sh-format
    134 msgid "Stopping $APP_LONG_NAME gracefully..."
     86msgid "Stopping $APP_LONG_NAME gracefully"
    13587msgstr ""
    13688
    137 #: ../i2prouter:1146
    138 #, sh-format
    139 msgid "Pausing $APP_LONG_NAME."
    140 msgstr ""
    141 
    142 #: ../i2prouter:1150
    143 #, sh-format
    144 msgid "Resuming $APP_LONG_NAME."
    145 msgstr ""
    146 
    147 #: ../i2prouter:1157
     89#: ../i2prouter:1170
    14890#, sh-format
    14991msgid "$APP_LONG_NAME is not running."
    15092msgstr ""
    15193
    152 #: ../i2prouter:1162
     94#: ../i2prouter:1175
    15395#, sh-format
    15496msgid "$APP_LONG_NAME is running: PID:$pid"
    15597msgstr ""
    15698
    157 #: ../i2prouter:1165
     99#: ../i2prouter:1178
    158100#, sh-format
    159101msgid "$APP_LONG_NAME is running: PID:$pid, Wrapper:$STATUS, Java:$JAVASTATUS"
    160102msgstr ""
    161103
    162 #: ../i2prouter:1172
     104#: ../i2prouter:1231 ../i2prouter:1243 ../i2prouter:1262 ../i2prouter:1279
     105#: ../i2prouter:1346 ../i2prouter:1366 ../i2prouter:1380 ../i2prouter:1394
     106#: ../i2prouter:1422 ../i2prouter:1460 ../i2prouter:1495
    163107#, sh-format
    164 msgid " Installing the $APP_LONG_NAME daemon using upstart.."
     108msgid "The $APP_LONG_NAME daemon is already installed."
    165109msgstr ""
    166110
    167 #: ../i2prouter:1174
     111#: ../i2prouter:1234 ../i2prouter:1249 ../i2prouter:1351 ../i2prouter:1383
     112#: ../i2prouter:1397 ../i2prouter:1411 ../i2prouter:1425 ../i2prouter:1463
     113#: ../i2prouter:1498
    168114#, sh-format
    169 msgid " a custom upstart conf file ${APP_NAME}.conf found"
     115msgid "Installing the $APP_LONG_NAME daemon"
    170116msgstr ""
    171117
    172 #: ../i2prouter:1177
    173 msgid " creating default upstart conf file.."
    174 msgstr ""
    175 
    176 #: ../i2prouter:1195 ../i2prouter:1448
    177 msgid "Detected Solaris:"
    178 msgstr ""
    179 
    180 #: ../i2prouter:1197 ../i2prouter:1209 ../i2prouter:1227 ../i2prouter:1284
    181 #: ../i2prouter:1295 ../i2prouter:1309 ../i2prouter:1323 ../i2prouter:1351
    182 #: ../i2prouter:1389 ../i2prouter:1424
    183 #, sh-format
    184 msgid " The $APP_LONG_NAME daemon is already installed."
    185 msgstr ""
    186 
    187 #: ../i2prouter:1200 ../i2prouter:1215 ../i2prouter:1287 ../i2prouter:1312
    188 #: ../i2prouter:1326 ../i2prouter:1340 ../i2prouter:1354 ../i2prouter:1392
    189 #: ../i2prouter:1427
    190 #, sh-format
    191 msgid " Installing the $APP_LONG_NAME daemon.."
    192 msgstr ""
    193 
    194 #: ../i2prouter:1207 ../i2prouter:1461
    195 msgid "Detected RHEL or Fedora:"
    196 msgstr ""
    197 
    198 #: ../i2prouter:1222 ../i2prouter:1475
    199 msgid "Detected Arch Linux:"
    200 msgstr ""
    201 
    202 #: ../i2prouter:1224
    203 msgid "Initscript from AUR package found. Refusing to continue."
    204 msgstr ""
    205 
    206 #: ../i2prouter:1277
    207 #, sh-format
    208 msgid " The $APP_LONG_NAME daemon has been installed."
    209 msgstr ""
    210 
    211 #: ../i2prouter:1278
    212 msgid " Add \\\"i2p\\\" to the DAEMONS variable in /etc/rc.conf to enable."
    213 msgstr ""
    214 
    215 #: ../i2prouter:1282 ../i2prouter:1484
    216 msgid "Detected SuSE or SLES:"
    217 msgstr ""
    218 
    219 #: ../i2prouter:1293 ../i2prouter:1494
    220 msgid "Detected Debian-based distribution:"
    221 msgstr ""
    222 
    223 #: ../i2prouter:1301
    224 #, sh-format
    225 msgid " Installing the $APP_LONG_NAME daemon using init.d.."
    226 msgstr ""
    227 
    228 #: ../i2prouter:1307 ../i2prouter:1507
    229 msgid "Detected Linux:"
    230 msgstr ""
    231 
    232 #: ../i2prouter:1321 ../i2prouter:1520
    233 msgid "Detected HP-UX:"
    234 msgstr ""
    235 
    236 #: ../i2prouter:1332 ../i2prouter:1532
    237 msgid "Detected AIX:"
    238 msgstr ""
    239 
    240 #: ../i2prouter:1334
    241 #, sh-format
    242 msgid " The $APP_LONG_NAME daemon is already installed as rc.d script."
    243 msgstr ""
    244 
    245 #: ../i2prouter:1337
    246 #, sh-format
    247 msgid " The $APP_LONG_NAME daemon is already installed as SRC service."
    248 msgstr ""
    249 
    250 #: ../i2prouter:1342
    251 msgid ""
    252 " The task /usr/sbin/install_assist was found in the inittab, this might "
    253 "cause problems for all subsequent tasks to launch at this process is known "
    254 "to block the init task. Please make sure this task is not needed anymore and "
    255 "remove/deactivate it."
    256 msgstr ""
    257 
    258 #: ../i2prouter:1349 ../i2prouter:1550
    259 msgid "Detected FreeBSD:"
    260 msgstr ""
    261 
    262 #: ../i2prouter:1387 ../i2prouter:1563
    263 msgid "Detected Mac OSX:"
    264 msgstr ""
    265 
    266 #: ../i2prouter:1422 ../i2prouter:1577
    267 msgid "Detected z/OS:"
    268 msgstr ""
    269 
    270 #: ../i2prouter:1434
     118#: ../i2prouter:1505
    271119#, sh-format
    272120msgid "Install not currently supported for $DIST_OS"
    273121msgstr ""
    274122
    275 #: ../i2prouter:1450 ../i2prouter:1463 ../i2prouter:1477 ../i2prouter:1486
    276 #: ../i2prouter:1509 ../i2prouter:1522 ../i2prouter:1534 ../i2prouter:1552
    277 #: ../i2prouter:1565 ../i2prouter:1579
     123#: ../i2prouter:1521 ../i2prouter:1534 ../i2prouter:1548 ../i2prouter:1557
     124#: ../i2prouter:1567 ../i2prouter:1591 ../i2prouter:1604 ../i2prouter:1616
     125#: ../i2prouter:1634 ../i2prouter:1647 ../i2prouter:1661
    278126#, sh-format
    279 msgid " Removing $APP_LONG_NAME daemon..."
     127msgid "Removing $APP_LONG_NAME daemon"
    280128msgstr ""
    281129
    282 #: ../i2prouter:1456 ../i2prouter:1471 ../i2prouter:1480 ../i2prouter:1490
    283 #: ../i2prouter:1503 ../i2prouter:1515 ../i2prouter:1528 ../i2prouter:1546
    284 #: ../i2prouter:1559 ../i2prouter:1573 ../i2prouter:1584
     130#: ../i2prouter:1527 ../i2prouter:1542 ../i2prouter:1551 ../i2prouter:1561
     131#: ../i2prouter:1572 ../i2prouter:1585 ../i2prouter:1597 ../i2prouter:1610
     132#: ../i2prouter:1628 ../i2prouter:1641 ../i2prouter:1655 ../i2prouter:1666
    285133#, sh-format
    286 msgid " The $APP_LONG_NAME daemon is not currently installed."
     134msgid "The $APP_LONG_NAME daemon is not currently installed."
    287135msgstr ""
    288136
    289 #: ../i2prouter:1468 ../i2prouter:1500
    290 #, sh-format
    291 msgid " Removing $APP_LONG_NAME daemon from upstart..."
    292 msgstr ""
    293 
    294 #: ../i2prouter:1496
    295 #, sh-format
    296 msgid " Removing $APP_LONG_NAME daemon from init.d..."
    297 msgstr ""
    298 
    299 #: ../i2prouter:1588
     137#: ../i2prouter:1670
    300138#, sh-format
    301139msgid "Remove not currently supported for $DIST_OS"
    302140msgstr ""
    303141
    304 #: ../i2prouter:1595
    305 #, sh-format
    306 msgid "Dumping $APP_LONG_NAME..."
    307 msgstr ""
    308 
    309 #: ../i2prouter:1605
    310 #, sh-format
    311 msgid "Failed to dump $APP_LONG_NAME."
    312 msgstr ""
    313 
    314 #: ../i2prouter:1608
    315 #, sh-format
    316 msgid "Dumped $APP_LONG_NAME."
    317 msgstr ""
    318 
    319 #: ../i2prouter:1618
    320 #, sh-format
    321 msgid "Starting $APP_LONG_NAME...  Wrapper:Stopped"
    322 msgstr ""
    323 
    324 #: ../i2prouter:1622
    325 #, sh-format
    326 msgid "Starting $APP_LONG_NAME...  Wrapper:Running"
    327 msgstr ""
    328 
    329 #: ../i2prouter:1625
    330 #, sh-format
    331 msgid "Starting $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS"
    332 msgstr ""
    333 
    334 #: ../i2prouter:1635
    335 #, sh-format
    336 msgid "Stopping $APP_LONG_NAME...  Wrapper:Stopped"
    337 msgstr ""
    338 
    339 #: ../i2prouter:1639
    340 #, sh-format
    341 msgid "Stopping $APP_LONG_NAME...  Wrapper:Running"
    342 msgstr ""
    343 
    344 #: ../i2prouter:1642
    345 #, sh-format
    346 msgid "Stopping $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS"
    347 msgstr ""
    348 
    349 #: ../i2prouter:1652
    350 msgid "Unexpected command: $1"
    351 msgstr ""
    352 
    353 #: ../i2prouter:1656
    354 msgid "Usage: "
    355 msgstr ""
    356 
    357 #: ../i2prouter:1683
     142#: ../i2prouter:1757
    358143msgid "Commands:"
    359144msgstr ""
    360145
    361 #: ../i2prouter:1684
    362 msgid "  console      Launch in the current console."
     146#: ../i2prouter:1758
     147msgid "Launch in the current console."
    363148msgstr ""
    364149
    365 #: ../i2prouter:1685
    366 msgid "  start        Start in the background as a daemon process."
     150#: ../i2prouter:1759
     151msgid "Start in the background as a daemon process."
    367152msgstr ""
    368153
    369 #: ../i2prouter:1686
    370 msgid "  stop         Stop if running as a daemon or in another console."
     154#: ../i2prouter:1760
     155msgid "Stop if running as a daemon or in another console."
    371156msgstr ""
    372157
    373 #: ../i2prouter:1687
    374 msgid "  graceful     Stop gracefully, may take up to 11 minutes."
     158#: ../i2prouter:1761
     159msgid "Stop gracefully, may take up to 11 minutes."
    375160msgstr ""
    376161
    377 #: ../i2prouter:1688
    378 msgid "  restart      Stop if running and then start."
     162#: ../i2prouter:1762
     163msgid "Stop if running and then start."
    379164msgstr ""
    380165
    381 #: ../i2prouter:1689
    382 msgid "  condrestart  Restart only if already running."
     166#: ../i2prouter:1763
     167msgid "Restart only if already running."
    383168msgstr ""
    384169
    385 #: ../i2prouter:1691
    386 msgid "  pause        Pause if running."
     170#: ../i2prouter:1764
     171msgid "Query the current status."
    387172msgstr ""
    388173
    389 #: ../i2prouter:1692
    390 msgid "  resume       Resume if paused."
     174#: ../i2prouter:1765
     175msgid "Install to start automatically when system boots."
    391176msgstr ""
    392177
    393 #: ../i2prouter:1694
    394 msgid "  status       Query the current status."
     178#: ../i2prouter:1766
     179msgid "Uninstall."
    395180msgstr ""
    396181
    397 #: ../i2prouter:1695
    398 msgid "  install      Install to start automatically when system boots."
     182#: ../i2prouter:1767
     183msgid "Request a Java thread dump if running."
    399184msgstr ""
    400185
    401 #: ../i2prouter:1696
    402 msgid "  remove       Uninstall."
     186#: ../i2prouter:1780
     187msgid "Please edit $0 and set the variable RUN_AS_USER"
    403188msgstr ""
    404189
    405 #: ../i2prouter:1697
    406 msgid "  dump         Request a Java thread dump if running."
     190#: ../i2prouter:1785
     191msgid "Running I2P as the root user is *not* recommended."
    407192msgstr ""
    408193
    409 #: ../i2prouter:1701
    410 msgid ""
    411 "JavaAppArgs: Zero or more arguments which will be passed to the Java "
    412 "application."
     194#: ../i2prouter:1788
     195msgid "To run as root anyway, edit $0 and set ALLOW_ROOT=true."
    413196msgstr ""
  • installer/resources/locale/po/messages_en.po

    r69d22b8 r9a241af  
    1 # SOME DESCRIPTIVE TITLE.
    2 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
    3 # This file is distributed under the same license as the PACKAGE package.
    4 # FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
     1# I2P
     2# Copyright (C) 2012 The I2P Project
     3# This file is distributed under the same license as the routerconsole package.
     4# To contribute translations, see http://www.i2p2.de/newdevelopers
     5# foo <foo@bar>, 2012.
    56#
    6 #, fuzzy
    77msgid ""
    88msgstr ""
    9 "Project-Id-Version: PACKAGE VERSION\n"
     9"Project-Id-Version: I2P startup script\n"
    1010"Report-Msgid-Bugs-To: \n"
    11 "POT-Creation-Date: 2012-08-25 19:38+0000\n"
    12 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
    13 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
    14 "Language-Team: LANGUAGE <LL@li.org>\n"
    15 "Language: \n"
     11"POT-Creation-Date: 2012-12-22 14:58+0000\n"
     12"PO-Revision-Date: 2012-12-21 23:34+0000\n"
     13"Last-Translator: kytv <killyourtv@mail.i2p>\n"
     14"Language-Team: English \n"
     15"Language: English\n"
    1616"MIME-Version: 1.0\n"
    1717"Content-Type: text/plain; charset=UTF-8\n"
    1818"Content-Transfer-Encoding: 8bit\n"
     19"Plural-Forms: nplurals=2; plural=(n != 1)\n"
    1920
    20 #: ../i2prouter:316
    21 msgid "Unable to locate \"ps\"."
     21#: ../i2prouter:195
     22msgid "Failed to load the wrapper"
    2223msgstr ""
    2324
    24 #: ../i2prouter:317 ../i2prouter:330 ../i2prouter:645
    25 msgid ""
    26 "Please report this message along with the location of the command on your "
    27 "system."
    28 msgstr ""
    29 
    30 #: ../i2prouter:329
    31 msgid "Unable to locate \"tr\"."
    32 msgstr ""
    33 
    34 #: ../i2prouter:484
    35 msgid "  $1  Found but not executable."
    36 msgstr ""
    37 
    38 #: ../i2prouter:543
    39 msgid "Unable to locate any of the following binaries:"
    40 msgstr ""
    41 
    42 #: ../i2prouter:644
    43 msgid "Unable to locate \"id\"."
    44 msgstr ""
    45 
    46 #: ../i2prouter:784
    47 #, sh-format
    48 msgid "Removed stale pid file: $PIDFILE"
    49 msgstr ""
    50 
    51 #: ../i2prouter:789
    52 #, sh-format
    53 msgid "Cannot read $PIDFILE."
    54 msgstr ""
    55 
    56 #: ../i2prouter:879 ../i2prouter:906 ../i2prouter:980 ../i2prouter:1008
    57 #: ../i2prouter:1032
     25#: ../i2prouter:892 ../i2prouter:919 ../i2prouter:993 ../i2prouter:1021
     26#: ../i2prouter:1045
    5827#, sh-format
    5928msgid "$APP_LONG_NAME is already running."
    6029msgstr ""
    6130
    62 #: ../i2prouter:890
     31#: ../i2prouter:903
    6332#, sh-format
    64 msgid "Running $APP_LONG_NAME..."
     33msgid "Running $APP_LONG_NAME"
    6534msgstr ""
    6635
    67 #: ../i2prouter:913
     36#: ../i2prouter:926
    6837#, sh-format
    69 msgid "Waiting for $APP_LONG_NAME..."
     38msgid "Waiting for $APP_LONG_NAME"
    7039msgstr ""
    7140
    72 #: ../i2prouter:960
     41#: ../i2prouter:973
    7342#, sh-format
    74 msgid " WARNING: $APP_LONG_NAME may have failed to start."
     43msgid "WARNING: $APP_LONG_NAME may have failed to start."
    7544msgstr ""
    7645
    77 #: ../i2prouter:963
    78 #, sh-format
    79 msgid " running: PID:$pid"
    80 msgstr ""
    81 
    82 #: ../i2prouter:972
    83 #, sh-format
    84 msgid ""
    85 "Starting $APP_LONG_NAME.  Detected Mac OSX and installed launchd daemon."
    86 msgstr ""
    87 
    88 #: ../i2prouter:974 ../i2prouter:1002 ../i2prouter:1190 ../i2prouter:1442
     46#: ../i2prouter:987 ../i2prouter:1015 ../i2prouter:1224 ../i2prouter:1513
    8947msgid "Must be root to perform this action."
    9048msgstr ""
    9149
    92 #: ../i2prouter:1000
     50#: ../i2prouter:1031
    9351#, sh-format
    94 msgid "Starting $APP_LONG_NAME.  Detected Linux and installed upstart."
     52msgid "Starting $APP_LONG_NAME"
    9553msgstr ""
    9654
    97 #: ../i2prouter:1018
     55#: ../i2prouter:1056
    9856#, sh-format
    99 msgid "Starting $APP_LONG_NAME..."
     57msgid "Stopping $APP_LONG_NAME"
    10058msgstr ""
    10159
    102 #: ../i2prouter:1043
    103 #, sh-format
    104 msgid "Stopping $APP_LONG_NAME..."
    105 msgstr ""
    106 
    107 #: ../i2prouter:1047 ../i2prouter:1115 ../i2prouter:1599
     60#: ../i2prouter:1060 ../i2prouter:1128 ../i2prouter:1681
    10861#, sh-format
    10962msgid "$APP_LONG_NAME was not running."
    11063msgstr ""
    11164
    112 #: ../i2prouter:1060 ../i2prouter:1068 ../i2prouter:1130 ../i2prouter:1138
     65#: ../i2prouter:1073 ../i2prouter:1081 ../i2prouter:1143 ../i2prouter:1151
    11366#, sh-format
    11467msgid "Unable to stop $APP_LONG_NAME."
    11568msgstr ""
    11669
    117 #: ../i2prouter:1086
     70#: ../i2prouter:1099
    11871#, sh-format
    119 msgid "Waiting for $APP_LONG_NAME to exit..."
     72msgid "Waiting for $APP_LONG_NAME to exit"
    12073msgstr ""
    12174
    122 #: ../i2prouter:1100
     75#: ../i2prouter:1113
    12376#, sh-format
    12477msgid "Failed to stop $APP_LONG_NAME."
    12578msgstr ""
    12679
    127 #: ../i2prouter:1103
     80#: ../i2prouter:1116
    12881#, sh-format
    12982msgid "Stopped $APP_LONG_NAME."
    13083msgstr ""
    13184
    132 #: ../i2prouter:1111
     85#: ../i2prouter:1124
    13386#, sh-format
    134 msgid "Stopping $APP_LONG_NAME gracefully..."
     87msgid "Stopping $APP_LONG_NAME gracefully"
    13588msgstr ""
    13689
    137 #: ../i2prouter:1146
    138 #, sh-format
    139 msgid "Pausing $APP_LONG_NAME."
    140 msgstr ""
    141 
    142 #: ../i2prouter:1150
    143 #, sh-format
    144 msgid "Resuming $APP_LONG_NAME."
    145 msgstr ""
    146 
    147 #: ../i2prouter:1157
     90#: ../i2prouter:1170
    14891#, sh-format
    14992msgid "$APP_LONG_NAME is not running."
    15093msgstr ""
    15194
    152 #: ../i2prouter:1162
     95#: ../i2prouter:1175
    15396#, sh-format
    15497msgid "$APP_LONG_NAME is running: PID:$pid"
    15598msgstr ""
    15699
    157 #: ../i2prouter:1165
     100#: ../i2prouter:1178
    158101#, sh-format
    159102msgid "$APP_LONG_NAME is running: PID:$pid, Wrapper:$STATUS, Java:$JAVASTATUS"
    160103msgstr ""
    161104
    162 #: ../i2prouter:1172
     105#: ../i2prouter:1231 ../i2prouter:1243 ../i2prouter:1262 ../i2prouter:1279
     106#: ../i2prouter:1346 ../i2prouter:1366 ../i2prouter:1380 ../i2prouter:1394
     107#: ../i2prouter:1422 ../i2prouter:1460 ../i2prouter:1495
    163108#, sh-format
    164 msgid " Installing the $APP_LONG_NAME daemon using upstart.."
     109msgid "The $APP_LONG_NAME daemon is already installed."
    165110msgstr ""
    166111
    167 #: ../i2prouter:1174
     112#: ../i2prouter:1234 ../i2prouter:1249 ../i2prouter:1351 ../i2prouter:1383
     113#: ../i2prouter:1397 ../i2prouter:1411 ../i2prouter:1425 ../i2prouter:1463
     114#: ../i2prouter:1498
    168115#, sh-format
    169 msgid " a custom upstart conf file ${APP_NAME}.conf found"
     116msgid "Installing the $APP_LONG_NAME daemon"
    170117msgstr ""
    171118
    172 #: ../i2prouter:1177
    173 msgid " creating default upstart conf file.."
    174 msgstr ""
    175 
    176 #: ../i2prouter:1195 ../i2prouter:1448
    177 msgid "Detected Solaris:"
    178 msgstr ""
    179 
    180 #: ../i2prouter:1197 ../i2prouter:1209 ../i2prouter:1227 ../i2prouter:1284
    181 #: ../i2prouter:1295 ../i2prouter:1309 ../i2prouter:1323 ../i2prouter:1351
    182 #: ../i2prouter:1389 ../i2prouter:1424
    183 #, sh-format
    184 msgid " The $APP_LONG_NAME daemon is already installed."
    185 msgstr ""
    186 
    187 #: ../i2prouter:1200 ../i2prouter:1215 ../i2prouter:1287 ../i2prouter:1312
    188 #: ../i2prouter:1326 ../i2prouter:1340 ../i2prouter:1354 ../i2prouter:1392
    189 #: ../i2prouter:1427
    190 #, sh-format
    191 msgid " Installing the $APP_LONG_NAME daemon.."
    192 msgstr ""
    193 
    194 #: ../i2prouter:1207 ../i2prouter:1461
    195 msgid "Detected RHEL or Fedora:"
    196 msgstr ""
    197 
    198 #: ../i2prouter:1222 ../i2prouter:1475
    199 msgid "Detected Arch Linux:"
    200 msgstr ""
    201 
    202 #: ../i2prouter:1224
    203 msgid "Initscript from AUR package found. Refusing to continue."
    204 msgstr ""
    205 
    206 #: ../i2prouter:1277
    207 #, sh-format
    208 msgid " The $APP_LONG_NAME daemon has been installed."
    209 msgstr ""
    210 
    211 #: ../i2prouter:1278
    212 msgid " Add \\\"i2p\\\" to the DAEMONS variable in /etc/rc.conf to enable."
    213 msgstr ""
    214 
    215 #: ../i2prouter:1282 ../i2prouter:1484
    216 msgid "Detected SuSE or SLES:"
    217 msgstr ""
    218 
    219 #: ../i2prouter:1293 ../i2prouter:1494
    220 msgid "Detected Debian-based distribution:"
    221 msgstr ""
    222 
    223 #: ../i2prouter:1301
    224 #, sh-format
    225 msgid " Installing the $APP_LONG_NAME daemon using init.d.."
    226 msgstr ""
    227 
    228 #: ../i2prouter:1307 ../i2prouter:1507
    229 msgid "Detected Linux:"
    230 msgstr ""
    231 
    232 #: ../i2prouter:1321 ../i2prouter:1520
    233 msgid "Detected HP-UX:"
    234 msgstr ""
    235 
    236 #: ../i2prouter:1332 ../i2prouter:1532
    237 msgid "Detected AIX:"
    238 msgstr ""
    239 
    240 #: ../i2prouter:1334
    241 #, sh-format
    242 msgid " The $APP_LONG_NAME daemon is already installed as rc.d script."
    243 msgstr ""
    244 
    245 #: ../i2prouter:1337
    246 #, sh-format
    247 msgid " The $APP_LONG_NAME daemon is already installed as SRC service."
    248 msgstr ""
    249 
    250 #: ../i2prouter:1342
    251 msgid ""
    252 " The task /usr/sbin/install_assist was found in the inittab, this might "
    253 "cause problems for all subsequent tasks to launch at this process is known "
    254 "to block the init task. Please make sure this task is not needed anymore and "
    255 "remove/deactivate it."
    256 msgstr ""
    257 
    258 #: ../i2prouter:1349 ../i2prouter:1550
    259 msgid "Detected FreeBSD:"
    260 msgstr ""
    261 
    262 #: ../i2prouter:1387 ../i2prouter:1563
    263 msgid "Detected Mac OSX:"
    264 msgstr ""
    265 
    266 #: ../i2prouter:1422 ../i2prouter:1577
    267 msgid "Detected z/OS:"
    268 msgstr ""
    269 
    270 #: ../i2prouter:1434
     119#: ../i2prouter:1505
    271120#, sh-format
    272121msgid "Install not currently supported for $DIST_OS"
    273122msgstr ""
    274123
    275 #: ../i2prouter:1450 ../i2prouter:1463 ../i2prouter:1477 ../i2prouter:1486
    276 #: ../i2prouter:1509 ../i2prouter:1522 ../i2prouter:1534 ../i2prouter:1552
    277 #: ../i2prouter:1565 ../i2prouter:1579
     124#: ../i2prouter:1521 ../i2prouter:1534 ../i2prouter:1548 ../i2prouter:1557
     125#: ../i2prouter:1567 ../i2prouter:1591 ../i2prouter:1604 ../i2prouter:1616
     126#: ../i2prouter:1634 ../i2prouter:1647 ../i2prouter:1661
    278127#, sh-format
    279 msgid " Removing $APP_LONG_NAME daemon..."
     128msgid "Removing $APP_LONG_NAME daemon"
    280129msgstr ""
    281130
    282 #: ../i2prouter:1456 ../i2prouter:1471 ../i2prouter:1480 ../i2prouter:1490
    283 #: ../i2prouter:1503 ../i2prouter:1515 ../i2prouter:1528 ../i2prouter:1546
    284 #: ../i2prouter:1559 ../i2prouter:1573 ../i2prouter:1584
     131#: ../i2prouter:1527 ../i2prouter:1542 ../i2prouter:1551 ../i2prouter:1561
     132#: ../i2prouter:1572 ../i2prouter:1585 ../i2prouter:1597 ../i2prouter:1610
     133#: ../i2prouter:1628 ../i2prouter:1641 ../i2prouter:1655 ../i2prouter:1666
    285134#, sh-format
    286 msgid " The $APP_LONG_NAME daemon is not currently installed."
     135msgid "The $APP_LONG_NAME daemon is not currently installed."
    287136msgstr ""
    288137
    289 #: ../i2prouter:1468 ../i2prouter:1500
    290 #, sh-format
    291 msgid " Removing $APP_LONG_NAME daemon from upstart..."
    292 msgstr ""
    293 
    294 #: ../i2prouter:1496
    295 #, sh-format
    296 msgid " Removing $APP_LONG_NAME daemon from init.d..."
    297 msgstr ""
    298 
    299 #: ../i2prouter:1588
     138#: ../i2prouter:1670
    300139#, sh-format
    301140msgid "Remove not currently supported for $DIST_OS"
    302141msgstr ""
    303142
    304 #: ../i2prouter:1595
    305 #, sh-format
    306 msgid "Dumping $APP_LONG_NAME..."
    307 msgstr ""
    308 
    309 #: ../i2prouter:1605
    310 #, sh-format
    311 msgid "Failed to dump $APP_LONG_NAME."
    312 msgstr ""
    313 
    314 #: ../i2prouter:1608
    315 #, sh-format
    316 msgid "Dumped $APP_LONG_NAME."
    317 msgstr ""
    318 
    319 #: ../i2prouter:1618
    320 #, sh-format
    321 msgid "Starting $APP_LONG_NAME...  Wrapper:Stopped"
    322 msgstr ""
    323 
    324 #: ../i2prouter:1622
    325 #, sh-format
    326 msgid "Starting $APP_LONG_NAME...  Wrapper:Running"
    327 msgstr ""
    328 
    329 #: ../i2prouter:1625
    330 #, sh-format
    331 msgid "Starting $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS"
    332 msgstr ""
    333 
    334 #: ../i2prouter:1635
    335 #, sh-format
    336 msgid "Stopping $APP_LONG_NAME...  Wrapper:Stopped"
    337 msgstr ""
    338 
    339 #: ../i2prouter:1639
    340 #, sh-format
    341 msgid "Stopping $APP_LONG_NAME...  Wrapper:Running"
    342 msgstr ""
    343 
    344 #: ../i2prouter:1642
    345 #, sh-format
    346 msgid "Stopping $APP_LONG_NAME...  Wrapper:$STATUS, Java:$JAVASTATUS"
    347 msgstr ""
    348 
    349 #: ../i2prouter:1652
    350 msgid "Unexpected command: $1"
    351 msgstr ""
    352 
    353 #: ../i2prouter:1656
    354 msgid "Usage: "
    355 msgstr ""
    356 
    357 #: ../i2prouter:1683
     143#: ../i2prouter:1757
    358144msgid "Commands:"
    359145msgstr ""
    360146
    361 #: ../i2prouter:1684
    362 msgid "  console      Launch in the current console."
     147#: ../i2prouter:1758
     148msgid "Launch in the current console."
    363149msgstr ""
    364150
    365 #: ../i2prouter:1685
    366 msgid "  start        Start in the background as a daemon process."
     151#: ../i2prouter:1759
     152msgid "Start in the background as a daemon process."
    367153msgstr ""
    368154
    369 #: ../i2prouter:1686
    370 msgid "  stop         Stop if running as a daemon or in another console."
     155#: ../i2prouter:1760
     156msgid "Stop if running as a daemon or in another console."
    371157msgstr ""
    372158
    373 #: ../i2prouter:1687
    374 msgid "  graceful     Stop gracefully, may take up to 11 minutes."
     159#: ../i2prouter:1761
     160msgid "Stop gracefully, may take up to 11 minutes."
    375161msgstr ""
    376162
    377 #: ../i2prouter:1688
    378 msgid "  restart      Stop if running and then start."
     163#: ../i2prouter:1762
     164msgid "Stop if running and then start."
    379165msgstr ""
    380166
    381 #: ../i2prouter:1689
    382 msgid "  condrestart  Restart only if already running."
     167#: ../i2prouter:1763
     168msgid "Restart only if already running."
    383169msgstr ""
    384170
    385 #: ../i2prouter:1691
    386 msgid "  pause        Pause if running."
     171#: ../i2prouter:1764
     172msgid "Query the current status."
    387173msgstr ""
    388174
    389 #: ../i2prouter:1692
    390 msgid "  resume       Resume if paused."
     175#: ../i2prouter:1765
     176msgid "Install to start automatically when system boots."
    391177msgstr ""
    392178
    393 #: ../i2prouter:1694
    394 msgid "  status       Query the current status."
     179#: ../i2prouter:1766
     180msgid "Uninstall."
    395181msgstr ""
    396182
    397 #: ../i2prouter:1695
    398 msgid "  install      Install to start automatically when system boots."
     183#: ../i2prouter:1767
     184msgid "Request a Java thread dump if running."
    399185msgstr ""
    400186
    401 #: ../i2prouter:1696
    402 msgid "  remove       Uninstall."
     187#: ../i2prouter:1780
     188msgid "Please edit $0 and set the variable RUN_AS_USER"
    403189msgstr ""
    404190
    405 #: ../i2prouter:1697
    406 msgid "  dump         Request a Java thread dump if running."
     191#: ../i2prouter:1785
     192msgid "Running I2P as the root user is *not* recommended."
    407193msgstr ""
    408194
    409 #: ../i2prouter:1701
    410 msgid ""
    411 "JavaAppArgs: Zero or more arguments which will be passed to the Java "
    412 "application."
     195#: ../i2prouter:1788
     196msgid "To run as root anyway, edit $0 and set ALLOW_ROOT=true."
    413197msgstr ""
Note: See TracChangeset for help on using the changeset viewer.